Update a role
Requires the ROLE.UPDATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
resourceId
The ID of the resource to be requested.
Headers
x-platform-id
Platform ID.
Request
This endpoint expects an object.
name
The name of the role
description
The description of the role
child_role_ids
Child roles for this role
Response
OK
name
The name of the role
description
The description of the role
child_role_ids
Child roles for this role
object_type
id
Unique identifier for the role
entity_id
When present the role is created for/by this entity
child_rolesDeprecated
Child roles, with a max depth of 2
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error